@echo off
setlocal enabledelayedexpansion

set CLIENT_ID=<Mix client ID, starting with appID:>
set SECRET=<Mix client secret>
rem Change colons (:) to %3A in client ID
set CLIENT_ID=!CLIENT_ID::=%%3A!

set command=curl -s ^
-u %CLIENT_ID%:%SECRET% ^
-d "grant_type=client_credentials" -d "scope=tts" ^
https://auth.crt.nuance.com/oauth2/token

for /f "delims={}" %%a in ('%command%') do (
  for /f "tokens=1 delims=:, " %%b in ("%%a") do set key=%%b
  for /f "tokens=2 delims=:, " %%b in ("%%a") do set value=%%b
  goto done:
)

:done

rem Remove quotes
set MY_TOKEN=!value:"=!

python storage-client.py --server_url tts.api.nuance.com --token %MY_TOKEN% ^
--upload --type user_dictionary --file ..\resources\user-dictionary-1.dcb ^
--context_tag coffee_app --name coffee_dict ^
--language en-us 

REM python storage-client.py --server_url tts.api.nuance.com --token %MY_TOKEN% ^
REM --upload --type activeprompt --file ..\resources\activeprompts.zip ^
REM --context_tag coffee_app --name coffee_prompts ^
REM --voice evan --voice_model enhanced --voice_version 1.0.0 ^
REM --vocalizer_studio_version 3.4 
  
REM python storage-client.py --server_url tts.api.nuance.com --token %MY_TOKEN% ^
REM --upload --type text_ruleset --file ..\resources\ruleset-1.rst.txt ^
REM --context_tag coffee_app --name coffee_rules ^
REM --language en-us 

REM python storage-client.py --server_url tts.api.nuance.com --token %MY_TOKEN% ^
REM --upload --type wav --file ..\resources\beep.wav ^
REM --context_tag coffee_app --name beep

REM python storage-client.py --server_url tts.api.nuance.com --token %MY_TOKEN% ^
REM --delete ^
REM --uri urn:nuance-mix:tag:tuning:lang/coffee_app/coffee_rules/en-us/mix.tts 